Subject: Re: Cloning of git-svn repos?

From: Sam Vilain <[email-masked]>
Date: Fri, 20 Apr 2007 01:03:53 +1200

Robin H. Johnson wrote:
> (This is completely unrelated to my previous posts about using git for
> Gentoo, it's not the only placing I'm looking at implementing Git).
>
> Is there a sane and git-recommended way to clone repos created with
> git-svn?
>
> If I do: 'git-svn clone ....', and then git-clone of that directory, the
> second clone cannot use git-svn to follow the original SVN or feed stuff
> back to the original SVN.
>   

You need to make sure to clone the remotes/ refs as well.  See
http://utsl.gen.nz/talks/git-svn/intro.html#howto-track-svn

Sam.

> If I create them separately (or by plain copying the first one to create
> the second), then pulling between them works fine.
>
> The copying just feels messy compared to the initial git-clone
> functionality.
>
>